package com.huimv.video.video.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.common.utils.Result;
import com.huimv.video.video.entity.CameraArea;
import com.huimv.video.video.entity.CameraFunction;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author astupidcoder
 * @since 2021-09-13
 */
public interface ICameraFuntcionService extends IService<CameraFunction> {

    Result cameraList(Map<String, Object> params);

    Result removeIds(List<Integer> ids);

    Result lsitAndCamera(Integer farmId);

    Result addCamera(Map<String, String> params);

    Result deleteCamera(Map<String, String> params);

    Result listCamera(Map<String, String> params);
}
